Разработчики OpenBSD 6.6 отказываются обновлять Firefox 72 и рекомендуют ESR-версию

 

Появилась информация о том, что пользователи OpenBSD версии 6.6 останутся без последних обновлений браузера Firefox. Причиной стало то, что он оказался слишком сложным для формирования стабильных пакетов под эту ОС из-за зависимостей cbindgen и rust.

Сообщается, что ветвь 6.6-stable не будет получать обновлений из www/mozilla-firefox, потому в этой сборке будут версии, которые уязвимы к некоторым актуальным и будущим угрозам.

pixabay.com

pixabay.com

При этом firefox-esr всё ещё обновляется, поэтому рекомендуется использовать именно эту сборку на 6.6-stable. Отметим, что в версии OpenBSD 6.6 появились и другие нововведения. В частности, там есть новые драйверы, улучшающие работу с аппаратным обеспечением. Это касается, например, сетевых интерфейсов, проводных и беспроводных.

А ещё там расширилась поддержка компилятора LLVM Clang. Отметим, что ранее разработчики Firefox закрыли 0+day-уязвимость, которую активно использовали хакеры. Она касалась  JavaScript JIT-компилятора IonMonkey для SpiderMonkey. Этот компонент ядра обрабатывает JS-код и позволяет выполнить удалённый код на системе. Исправления получили версии  Firefox 72.0.1 и Firefox ESR 68.4.1.

Если вы заметили ошибку — выделите ее мышью и нажмите CTRL+ENTER. | Можете написать лучше? Мы всегда рады новым авторам.

Источник:

Постоянный URL: https://servernews.ru/1001350
Поделиться:  

Комментарии

Система Orphus